#!/bin/csh

echo "-- System Profile --"
echo
/usr/sbin/system_profiler

echo
echo "-- Preferences file --"
echo
/usr/bin/defaults read net.publicspace.abfr9
echo


echo "-- Console Output --"
echo
tail -n1000 /private/var/log/system.log

echo "-- Memory Usage --"

/usr/bin/top -l 1

echo
echo "-- database integrity check --"

echo "integrity check"
sqlite3 "$HOME/Library/Application Support/A Better Finder Rename 9/abfr9.db" "pragma integrity_check"
echo "permissions"
ls -aleF "$HOME/Library/Application Support/A Better Finder Rename 9/abfr9.db"

echo
echo "-- Latest crash report --"
echo
set files = `ls -t "$HOME/Library/Logs/CrashReporter/A Better Finder Rename 9"* | sed -n "1p"`

echo $files

if ( $#files > 0) then
	echo Printing file: $files
	echo
	cat "$files"
endif
